Skip to content
View as Markdown

POST Bulk Action Templates​

POST
/templates/do-bulk-action

Perform a bulk action on multiple email templates. Supports changing the status of templates or permanently deleting them. When select_all is 'true', the action is applied to all templates regardless of the provided IDs.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"action_name": "string",
"template_ids": [
0
],
"select_all": "string",
"status": "string"
}

Responses​

Bulk action completed successfully.

application/json
JSON
{
"message": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI